# $dcc.protocol

Returns the protocol of the specified DCC

Usage

    $dcc.protocol
    $dcc.protocol(<dcc_id>)

Description

Returns the string describing the protocol of the Direct Client Connection specified by <dcc_id>.
If <dcc_id> is omitted then the DCC Session associated with the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function prints a warning and returns an empty sting.
See the dcc module documentation for more information.

Syntax Specification

    <string> $dcc.protocol
    <string> $dcc.protocol(<dcc_id:uint>)

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Sun Jul 21 22:14:44 2013